<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<th:block th:fragment="setContent(content)">

    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Group2 Project</title>
        <link href="https://cdn.jsdelivr.net/npm/simple-datatables@latest/dist/style.css" rel="stylesheet" />
        <link th:href="@{/css/styles.css}" rel="stylesheet" />
        <script src="https://use.fontawesome.com/releases/v6.1.0/js/all.js" crossorigin="anonymous"></script>
        
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script th:src="@{/js/scripts.js}"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js" crossorigin="anonymous"></script>
        <script th:src="@{/assets/demo/chart-area-demo.js}"></script>
        <script th:src="@{/assets/demo/chart-bar-demo.js}"></script>
        <script src="https://cdn.jsdelivr.net/npm/simple-datatables@latest" crossorigin="anonymous"></script>
        <script th:src="@{/js/datatables-simple-demo.js}"></script>
        
        <script src="https://code.jquery.com/jquery-3.4.1.js"></script>
    </head>
    
    <body class="sb-nav-fixed" style="background-color: white;">
        <nav class="sb-topnav navbar navbar-expand navbar-dark bg-green">

            <!-- Navbar Brand-->
            <a class="navbar-brand ps-3" style="font-size:34px; font-family: 'Pacifico'; margin-left:21px;" th:href="@{/}">PerfoInfo</a>
            <!-- Sidebar Toggle-->
            <button class="btn btn-link btn-sm order-1 order-lg-0 me-4 me-lg-0" id="sidebarToggle" href="#!"><i class="fas fa-bars"></i></button>
            
            <form class="d-none d-md-inline-block form-inline ms-auto me-0 me-md-3 my-2 my-md-0">
                <div class="input-group">
                </div>
            </form>
            
            <!-- 로그인 시 id 표시 -->
            <h6 class="navbar-brand ps-2" align="right" style="color:white;font-size:15px;" sec:authorize="isAuthenticated()" sec:authentication="principal.username"></h6>

            <!-- Navbar-->
            <ul class="navbar-nav ms-auto ms-md-0 me-3 me-lg-4">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false"><i class="fas fa-user fa-fw"></i></a>
                    <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                    	<li sec:authorize="!isAuthenticated()"><a class="dropdown-item" href="/register">회원가입</a></li>
                        <li sec:authorize="!isAuthenticated()"><a class="dropdown-item" href="/customlogin">로그인</a></li>
                        <li sec:authorize="isAuthenticated()"><a class="dropdown-item" th:href="@{/member/read(id=${#authentication.principal.username})}">내 정보</a></li>
                        <li sec:authorize="isAuthenticated()"><a class="dropdown-item" href="/logout">로그아웃</a></li>
                    </ul>
                </li>
            </ul>
        </nav>
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sb-sidenav accordion sb-sidenav-green" id="sidenavAccordion">
                    <div class="sb-sidenav-menu">
                        <div class="nav">
                            <div class="sb-sidenav-menu-heading">공연</div>
                            <a class="nav-link" th:href="@{/show/calendar}" style="color: white">
                                <div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                                공연 일정
                            </a>
                            <a class="nav-link" th:href="@{/showstage/list}" style="color: white">
                                <div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                                공연장 정보
                            </a>
                            <div class="sb-sidenav-menu-heading">커뮤니티</div>
                            <a class="nav-link collapsed" th:href="@{/board/list}" style="color: white">
                                <div class="sb-nav-link-icon"><i class="fas fa-columns"></i></div>
                                자유 게시판
                            </a>
                            <div class="sb-sidenav-menu-heading" sec:authorize="hasAnyRole('ROLE_ADMIN', 'ROLE_USER')">회원(Member)</div>
							<a class="nav-link" sec:authorize="hasAnyRole('ROLE_ADMIN', 'ROLE_USER')" th:href="@{/member/read(id=${#authentication.principal.username})}" style="color: white">
                                <div class="sb-nav-link-icon"><i class="fas fa-user fa-fw"></i></div>
                                회원정보
                            </a>
                             <a class="nav-link" sec:authorize="hasRole('ROLE_ADMIN')" th:href="@{/member/list}" style="color: white">
                                <div style="margin-left:2px;" class="sb-nav-link-icon"><i class="fas fa-table"></i></div>
                                회원관리
							</a>
                        </div>
                    </div>
                    <div class="sb-sidenav-footer">
                        <div style="vertical-align: middle; text-align-last: center" class="small">Group 2 Project Page</div>
                    </div>
                </nav>
            </div>
            <div id="layoutSidenav_content">
                <main>
                    <div class="container-fluid px-4">           
                    	<th:block th:replace = "${content}"></th:block>
                    </div>
                </main>
            </div>
        </div>
    </body>
</html>
